Skip to main content
`Ctrl`+`K`

# PetscRegressorGetType

Gets the current `PetscRegressorType` being used in the `PetscRegressor` object

## Synopsis

    PetscErrorCode PetscRegressorGetType(PetscRegressor regressor, PetscRegressorType *type)

Not Collective

## Input Parameter

- regressor - the `PetscRegressor` solver context

## Output Parameter

- type - the `PetscRegressorType`

## See Also

PetscRegressor: Regression Solvers, `PetscRegressor`, `PetscRegressorType`, `PetscRegressorSetType()`

## Level

intermediate

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages